Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 186641 - Allow for rescue CD image as a single-stage installer
Summary: Allow for rescue CD image as a single-stage installer
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: FC6Target
TreeView+ depends on / blocked
 
Reported: 2006-03-24 22:08 UTC by Bill Nottingham
Modified: 2014-03-17 02:59 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-08-23 17:42:20 UTC


Attachments (Terms of Use)

Description Bill Nottingham 2006-03-24 22:08:13 UTC
Right now, rescue.img has both stage1 and stage2. If you boot it with 'askmethod',
you can use it as an installer... sort of:

- choosing CD as the installation source will break it
- NFS installs try to use the NFS stage 2
- probably other errors I haven't hit in my 10 minutes of testing

What would be good is to clean it up so that any rescuecd-type image
(combination of stage1 and stage2) can be used as a general installer; point
it at a random tree (with whatever method) and go. This would (in theory)
make it easier to spin updated installers, if necessary, and allows for
further decoupling of the package source from the installer source.

Bonus points for putting the network & install method selection in
the GUI. :)

Comment 1 Red Hat Bugzilla 2007-06-12 03:08:06 UTC
requested by Jams Antill

Comment 2 Jeremy Katz 2007-08-23 17:42:20 UTC
Okay, in CVS, we use the CD for nfs, hd and url installs.  Still looking at how
to disable the CD choice there.  And then it just requires that you're pointed
at an install tree with a .discinfo and it works happily.

Moving install method selection to the GUI isn't going to happen this time
around, but we got a good chunk of the underlying pieces done to get there
eventually :)


Note You need to log in before you can comment on or make changes to this bug.